-- configuration file for the StrukTeX package

print("This is the additional configuration for setting \z
    the documentation language")

targetlanguage = targetlanguage or "de"
print("target language: >" .. targetlanguage .. "<")

local exit = os.exit

if targetlanguage == "de" then
  typesetcmds = "\\def\\primarylanguage{ngerman}" ..
    "\\def\\secondarylanguage{english}"
elseif targetlanguage == "en" then
  typesetcmds = "\\def\\primarylanguage{english}" ..
    "\\def\\secondarylanguage{ngerman}"
else
  print("Illegal language")
  exit(1)
end

